summaryrefslogtreecommitdiffstats
path: root/games/tmw
diff options
context:
space:
mode:
author Erik Hanson2010-05-11 19:44:43 +0200
committer Robby Workman2010-05-11 19:44:43 +0200
commite3986f187e454d93409fa3cf2b2f8f7e0be4747d (patch)
tree1d2d7ce0315843a4b71f10168ca11ace5a147e69 /games/tmw
parent31f288a0233058ebfa21f6799a269a1d8f6974e1 (diff)
downloadslackbuilds-e3986f187e454d93409fa3cf2b2f8f7e0be4747d.tar.gz
games/tmw: Updated for version 0.0.23
Diffstat (limited to 'games/tmw')
-rw-r--r--games/tmw/README6
-rw-r--r--games/tmw/doinst.sh3
-rw-r--r--games/tmw/slack-desc10
-rw-r--r--games/tmw/tmw.SlackBuild22
-rw-r--r--games/tmw/tmw.info8
5 files changed, 33 insertions, 16 deletions
diff --git a/games/tmw/README b/games/tmw/README
index 12741ab486..76510360b0 100644
--- a/games/tmw/README
+++ b/games/tmw/README
@@ -3,7 +3,5 @@ free and open source MMORPG. TMW uses 2D graphics and aims to create
a large and diverse interactive world. It is licensed under the GPL,
making sure this game can't ever run away from you.
-Build requirements are:
- * physfs
- * guichan
-These are all available at slackbuilds.org
+Build requirements are physfs and guichan, both of which are
+available at SlackBuilds.org
diff --git a/games/tmw/doinst.sh b/games/tmw/doinst.sh
new file mode 100644
index 0000000000..34be13eb65
--- /dev/null
+++ b/games/tmw/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/tmw/slack-desc b/games/tmw/slack-desc
index 7dba026595..2efdac4d81 100644
--- a/games/tmw/slack-desc
+++ b/games/tmw/slack-desc
@@ -1,4 +1,12 @@
-tmw: The Mana World - A Free Open Source 2D MMORPG
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tmw: The Mana World (A Free Open Source 2D MMORPG)
tmw:
tmw: The Mana World (TMW) is a serious effort to create an innovative
tmw: free and open source MMORPG. TMW uses 2D graphics and aims to create
diff --git a/games/tmw/tmw.SlackBuild b/games/tmw/tmw.SlackBuild
index f402069081..911351fb98 100644
--- a/games/tmw/tmw.SlackBuild
+++ b/games/tmw/tmw.SlackBuild
@@ -2,13 +2,14 @@
# Slackware build script for The Mana World
# Written by Erik Hanson erik@slackbuilds.org
+# Modified for version 0.0.23 by ppr:kut <hmwiesinger@gmx.at>
PRGNAM=tmw
-VERSION=0.0.21
+VERSION=0.0.23
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -21,18 +22,19 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
+cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chown -R a-s,u+w,go-w+r .
+chmod -R a-s,u+w,go-w+r .
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --mandir=/usr/man \
|| exit 1
make || exit 1
@@ -43,14 +45,20 @@ make install DESTDIR=$PKG || exit 1
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog NEWS README docs/FAQ.txt docs/HACKING.txt \
- docs/items.txt docs/packages.txt docs/progression.txt \
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO docs/FAQ.txt \
+ docs/HACKING.txt docs/items.txt docs/packages.txt docs/progression.txt \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/tmw/tmw.info b/games/tmw/tmw.info
index d08247f72a..aec8eed7c1 100644
--- a/games/tmw/tmw.info
+++ b/games/tmw/tmw.info
@@ -1,8 +1,8 @@
PRGNAM="tmw"
-VERSION="0.0.21"
+VERSION="0.0.23"
HOMEPAGE="http://themanaworld.org/"
-DOWNLOAD="http://dl.sourceforge.net/sourceforge/themanaworld/tmw-0.0.21.tar.gz"
-MD5SUM="e13a748b8e279fa694db5eb14ac4a8a9"
+DOWNLOAD="http://downloads.sourceforge.net/themanaworld/tmw-0.0.23.tar.gz"
+MD5SUM="4c4233a3b904dcf2935685e5ec1e6e5a"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="elohim,robw810"
+APPROVED="rworkman"